com.pixelmed.network

## Class VerificationSOPClassSCU.CEchoResponseHandler

- java.lang.Object
- - com.pixelmed.network.ReceivedDataHandler
  - - com.pixelmed.network.CompositeResponseHandler
    - - com.pixelmed.network.VerificationSOPClassSCU.CEchoResponseHandler

Enclosing class:
  VerificationSOPClassSCU

    protected class VerificationSOPClassSCU.CEchoResponseHandler
    extends CompositeResponseHandler

### Field Summary

### Fields inherited from class com.pixelmed.network.CompositeResponseHandler

`allowData, commandReceived, dataReceived, status, success`

### Fields inherited from class com.pixelmed.network.ReceivedDataHandler

`debugLevel, done, release`

### Method Summary

Methods
`protected void` `evaluateStatusAndSetSuccess(AttributeList list)` Extract the status information from a composite response and set the status flag accordingly.

### Methods inherited from class com.pixelmed.network.CompositeResponseHandler

`dumpAttributeListFromCommandOrData, getAttributeListFromCommandOrData, getStatus, makeUseOfDataSet, sendPDataIndication, wasSuccessful`

### Methods inherited from class com.pixelmed.network.ReceivedDataHandler

`dumpPDVList, isDone, isToBeReleased, setDone, setRelease`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### evaluateStatusAndSetSuccess

    protected void evaluateStatusAndSetSuccess(AttributeList list)

Description copied from class: `CompositeResponseHandler`
Extract the status information from a composite response and set the status flag accordingly.

Specified by:
  `evaluateStatusAndSetSuccess` in class `CompositeResponseHandler`
Parameters:
  `list` -